$missionName = "TitanTraining";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = false;
	$server::AllowDeathmatch = true;
	$server::AllowTeamPlay = true;	
	
	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = false;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

	$server::disableTeamYellow = true;
	$server::disableTeamBlue = true;
	$server::disableTeamRed = false;
	$server::disableTeamPurple = true;

}

function onMissionStart()
{
	earthquakeSounds();
	titanSounds();
}

function onMissionLoad()
{
   cdAudioCycle("Cloudburst", "Terror", "Watching"); 
   %rules = "<tIDMULT_TDM_GAMETYPE>"   @        
            "<tIDMULT_TDM_MAPNAME>"    @ 
            $missionName               @
            "<tIDMULT_TDM_OBJECTIVES>" @
            "<tIDMULT_TDM_SCORING_1>"  @
            "<tIDMULT_TDM_SCORING_2>"  @
            $killPoints                @
            "<tIDMULT_TDM_SCORING_3>"  @
            "<tIDMULT_TDM_SCORING_4>"  @
            $deathPoints               @
            "<tIDMULT_TDM_SCORING_5>"  @
            "<tIDMULT_TDM_SCORING_6>"  @
            "<tIDMULT_STD_ITEMS>"      @
            "<tIDMULT_STD_TELEPORTER>" @
            "<tIDMULT_STD_HEAL>"       @
            "<tIDMULT_STD_RELOAD>";

   setGameInfo(%rules);

order("MissionGroup/Miners",speed,high);
order("MissionGroup/Miners",guard,"MissionGroup/Miners/Path");

order("MissionGroup/MinerShips",speed,medium);
order("MissionGroup/MinerShips",guard,"MissionGroup/MinerShips/Path");

order("MissionGroup/Backup",speed,high);
order("MissionGroup/Backup",guard,"MissionGroup/Backup/Path");

order("MissionGroup/Misc",speed,high);
order("MissionGroup/Misc",guard,"MissionGroup/Misc/Path");

}
